/** @jsx h */
// @ts-nocheck
import { h } from 'preact'

export const Loader = () => {
    return (
        <svg
            style='margin: auto; display: block; shape-rendering: auto;'
            width='200px'
            height='200px'
            viewBox='0 0 100 100'
            preserveAspectRatio='xMidYMid'
        >
            <desc>Loading</desc>
            <path d='M10 50A40 40 0 0 0 90 50A40 42 0 0 1 10 50' fill='#1ac3f3' stroke='none'>
                <animateTransform
                    attributeName='transform'
                    type='rotate'
                    dur='1s'
                    repeatCount='indefinite'
                    keyTimes='0;1'
                    values='0 50 51;360 50 51'
                ></animateTransform>
            </path>
            <g id='Group' transform='scale(0.75, 0.75)'>
                <g id='Group-3' transform='translate(38.5000000, 31.5000000)'>
                    <polygon
                        id='Fill-1'
                        fill='#1ac3f3'
                        points='27.5693538 0.000369230769 13.7847385 7.90190769 0.000123076923 15.8022154 13.7847385 23.7037538 27.5693538 31.6065231 41.3416615 23.7037538 55.1262769 15.8022154 41.3416615 7.90190769'
                    ></polygon>
                    <polygon
                        id='Fill-2'
                        fill='#0A131B'
                        points='0.0243692308 31.7169231 0.0489846154 47.6307692 13.8102154 55.5704615 27.5689846 63.5076923 27.5443692 47.5938462 27.5689846 31.6061538 13.7597538 23.7415385 -0.000246153846 15.8030769'
                    ></polygon>
                </g>
            </g>
        </svg>
    )
}
