/** @jsx h */
import { h } from 'preact'

export const ArrowDown = () => {
    return (
        <svg width='16px' height='16px' viewBox='0 0 24 24'>
            <g
                id='icon-/-arrow-down'
                stroke='none'
                strokeWidth='1'
                fill='none'
                fillRule='evenodd'
                strokeLinecap='round'
                strokeLinejoin='round'
            >
                <g
                    id='chevron-left'
                    transform='translate(7.000000, 9.000000)'
                    stroke='currentColor'
                    strokeWidth='1.5'
                >
                    <polyline
                        id='Path'
                        transform='translate(5.500000, 3.000000) rotate(-90.000000) translate(-5.500000, -3.000000) '
                        points='8 8 3 3 8 -2'
                    ></polyline>
                </g>
            </g>
        </svg>
    )
}
